unit AD_About_Box;
interface
	uses
		Sound, GraphicsModuleTypes;

	procedure FindShallowestMonitor (var depth: integer; HelpWindowRect: Rect; params: GMParamBlockPtr);

	procedure DoAboutBox (PreferredFont, PreferredSize, TEXTID, CPICTID, BWPICTID, BWTextMode, Depth: integer; CMargins, BWMargins: Rect; RGBTEXTColor, RGBBackgroundColor: RGBColor);

implementation

{---------------FindShallowestMonitor---------------------}

	procedure FindShallowestMonitor (var depth: integer; HelpWindowRect: Rect; params: GMParamBlockPtr);
		var
			i: integer;
			resultRect: Rect;
	begin
		depth := 64;
		for i := 0 to params^.monitors^.monitorCount - 1 do
			if (params^.monitors^.monitorList[i].curDepth < depth) & (SectRect(HelpWindowRect, params^.monitors^.monitorList[i].bounds, resultRect)) then
				depth := params^.monitors^.monitorList[i].curDepth;
	end;


	procedure DoAboutBox (PreferredFont, PreferredSize, TEXTID, CPICTID, BWPICTID, BWTextMode, Depth: integer; CMargins, BWMargins: Rect; RGBTEXTColor, RGBBackgroundColor: RGBColor);
	external;

end.